Package com.microblink.blinkid.entities.recognizers.blinkid.generic.imageanalysis

# Enum Class ImageAnalysisDetectionStatus

java.lang.Object
java.lang.Enum<ImageAnalysisDetectionStatus>
com.microblink.blinkid.entities.recognizers.blinkid.generic.imageanalysis.ImageAnalysisDetectionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ImageAnalysisDetectionStatus>`, `Constable`

public enum ImageAnalysisDetectionStatus extends Enum<ImageAnalysisDetectionStatus>
ImageAnalysisDetectionResult enum defines possible states of detection.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Detected`
  Detected on input image
  `NotAvailable`
  Detection was not performed
  `NotDetected`
  Not detected on input image

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ImageAnalysisDetectionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ImageAnalysisDetectionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NotAvailable

    public static final ImageAnalysisDetectionStatus NotAvailable
    Detection was not performed

  - ### NotDetected

    public static final ImageAnalysisDetectionStatus NotDetected
    Not detected on input image

  - ### Detected

    public static final ImageAnalysisDetectionStatus Detected
    Detected on input image

- ## Method Details

  - ### values

    public static ImageAnalysisDetectionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ImageAnalysisDetectionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null